aboutsummaryrefslogtreecommitdiff
path: root/system/dina-font/doinst.sh
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2023-03-07 23:50:53 -0500
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-03-12 08:48:27 +0700
commitc18329b57362ecd52b5fc21491c1f61b951a9381 (patch)
tree077a584be58e1d855ad8ff82d9cbdc48aa4e50a8 /system/dina-font/doinst.sh
parenta75cc652c4640290a9784f8b68ce078d324244b3 (diff)
system/dina-font: Add douninst.sh.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/dina-font/doinst.sh')
-rw-r--r--system/dina-font/doinst.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/system/dina-font/doinst.sh b/system/dina-font/doinst.sh
index 96b0162ebe17f..8bf0ea71d1a60 100644
--- a/system/dina-font/doinst.sh
+++ b/system/dina-font/doinst.sh
@@ -1,6 +1,6 @@
if [ -x /usr/bin/mkfontdir ]; then
( cd usr/share/fonts/misc
- if ! grep -q ^Dina_ fonts.alias 2>/dev/null; then
+ if ! grep -q '^Dina_\([689]\|10\) ' fonts.alias 2>/dev/null; then
echo 'Dina_6 -windows-dina-medium-r-normal--8-60-96-96-c-60-microsoft-cp1252' >> fonts.alias
echo 'Dina_8 -windows-dina-medium-r-normal--10-80-96-96-c-70-microsoft-cp1252' >> fonts.alias
echo 'Dina_9 -windows-dina-medium-r-normal--12-90-96-96-c-70-microsoft-cp1252' >> fonts.alias
@@ -10,6 +10,9 @@ if [ -x /usr/bin/mkfontdir ]; then
mkfontdir .
)
fi
+
+[ "$DISPLAY" != "" ] && xset fp rehash 2>/dev/null
+
if [ -x usr/bin/fc-cache ]; then
usr/bin/fc-cache -f
fi